function Q=AggLowFreq(M,old,new,which);
%function Q=AggLowFreq(M,old,new,which);
%This function aggregates data to a lower frequency from old to new
%Example Q=AggLowFreq(M,12,4) aggregates M, which is montly (12) frequency to
%Q at quarterly (4) frequency
% M must be a column vector
%which is an optional argument. By default, the aggregation is done by
%taking the mean, say, three-month averages when data are aggregated from
%monthly to quarterly frequency. 
%For certain purposes, however, one may not want to use the mean but 
%rather a particular of the higher frequency values, e.g. the OCtober Value
%for the entire fourth quarter etc.
%This is done by 'which'.
%Example
%Q=AggLowFreq(M,12,4,3);
%transforms the monthly time series M into a quartlery one, but not by
%taking means, but by choosing the Mar, June, Sep, Dec, values as
%representatives for the 1,2,3,4 quarter respectively.



t=size(M,1);
freq=old/new;

T=t/freq;


t, T, freq
Q=zeros(freq,T);
Q(:)=M;


if nargin<4
    which='mean';
end;

    
switch which
    
case 'mean' 
Q=mean(Q)';

case 'sum'
Q=sum(Q)';
otherwise
Q=Q(which,:)';    

end

