%% Set Model parameters
clear

FixCIvector=1;%fixes CI vector to the one estimated from long sample (even in subsamples)
NonDurablesConsumption=1;%run mode based on non-durables consumption. If==0, the total cons is used.
AddDivIncomeToProprietors=0;%if 1, Div income is added to proprietors income
DivIncomeInCPY=1;%if 0, dividend income is not included in either p or y
ApportionDivIncome=1;%In this case, prop income is apportioned according to current part. rate to p and y


L=2 %Lags of level VAR (i.e. VECM with L-1 lagged diff term)

h=1 %# of CI relations imposed in Johansen procedure

hh=[1,2,4,8,12,16,24];%horizons at which Variance Decs and LH regs are computed
%% Set Exploration Range



XploreRange=[1,1952;4,2010];%Full sample range


%% Run the model once ...

 

pause off

LoadPensionFundEquityShare

CPYmain




%% Now start bootstrap;

Ydum=Y;
K=250;
VDLevelsmean=VDLevels;VDLevelssum=zeros(N,300);
OmegaChol=chol(Omega)';
D_old=D;
AR_old=AR;
alpha_old=alpha
   



clear IR_

for kk=1:K;
 

 randn('state',sum(100*clock))
 rawshocks=randn(5*T-L,N);
 covmat=cov(rawshocks);
 Cholcovmat=chol(covmat)';
 rawshocks=rawshocks*inv(Cholcovmat)';
 
 artshocks=rawshocks*OmegaChol';
 

 Y=Ydum(1:L,:);
 
 for l=L+1:5*T
     dy=[AR_old',eye(N)]*vec([diff(Y(l-L:l-1,:));artshocks(l-L,:)]')+alpha_old*beta0'*Y(l-1,:)';
     Y(l,:)=Y(l-1,:)+dy';
 end;
 Y=Y(4*T+1:5*T,:);
 
 
 for l=1:3;
     subplot(2,2,l)
     plot(Y(:,l))
 end;
 drawnow
 
 
XData=ones(T,1);
[AR,PI,D,alpha,epsilon,Omega,B,varB,rvecm]=RVECM(Y,XData,beta0,0,0);



%Now we identify permanent and transitory shocks and decompose the three
%variables accordingly.

%get interim multiplier G(1):
AR=AR';
G1=eye(N);
for l=1:L-1;
G1=G1-AR((l-1)*N+1:N*l,:)';
end;


%% Use Johansen-Hoffmann identification


beta0=beta0(1:N,1);
PI=alpha*beta0';
estimated_alpha=alpha;

alpha_o=null(alpha');
beta_o=null(beta0');

C1=beta_o*inv(alpha_o'*G1*beta_o)*alpha_o';
TransChol=chol(alpha'*inv(Omega)*alpha)';


PermChol=chol(alpha_o'*Omega*alpha_o)';


S=[inv(PermChol)*alpha_o';inv(TransChol)*alpha'*inv(Omega)];
Sinv=inv(S);

C1_ID=C1*Sinv;
sr=sign(diag(C1_ID));sr=diag(sr);
sr(3,3)=sign(Sinv(3,3));%Normalize SR-response of transitory shock to be positive. LR-normalization is meaningless here.
C1_ID=C1_ID*sr;
[Q,R]=qr(C1_ID');
Sinv=Sinv*sr;





%Now do the variance decomposition
% for the levels.
ARLevels=VECM2VAR(AR',alpha*beta0');
AA=Comp_mat(ARLevels);

SelectPerm=[1,0,0;0,0,0;0,0,0];


SelectTrans=[0,0,0;0,0,0;0,0,1];


SIGMA=kron(eye(L),Sinv*Sinv');
SIGMAP=kron(eye(L),Sinv*SelectPerm*Sinv');
SIGMAT=kron(eye(L),Sinv*SelectTrans*Sinv');


mse=zeros(size(AA));
   mseperm=mse;
   msetrans=mse;
   MM=zeros(size(AA));
   

   
for k=1:cols(VDLevels);
   
   MM=AA^(k-1);
   mse=mse+MM*SIGMA*MM';
   mseperm=mseperm+MM*SIGMAP'*MM';
   
   
   msetrans=msetrans+MM*SIGMAT'*MM';
   
   cummse(:,:,k)=mse(1:N,1:N);
   cummseperm(:,:,k)=mseperm(1:N,1:N);
   cummsetrans(:,:,k)=msetrans(1:N,1:N);
   
   
   VDLevels(:,k)=diag([(cummsetrans(:,:,k))./cummse(:,:,k)]);
   VDLevelsPerm(:,k)=diag([(cummseperm(:,:,k))./cummse(:,:,k)]);
   
   MSE(:,k)=cummse(:,1,k)./cummse(1,1,k);
   
   VDLevelssum(:,k)=VDLevelssum(:,k)+(VDLevels(:,k)-VDLevelsmean(:,k)).^2;
   VDLevelskk(:,k,kk)=VDLevels(:,k);
end;
alphakk(:,kk)=alpha;
end;%kk

VDLevelssum=VDLevelssum./K;
clear SortVD
for kk=1:length(hh);
    for l=1:N;
    SortVD(:,l,kk)=sort(VDLevelskk(l,hh(kk),:),3);
    end;
end;

SortVD=SortVD([round(0.05*K)+1,K-round(0.05*K)],:,:);

