%CumulativeDeregulation
%First Column: Intra-, 2nd column InterState-Deregulation
Deregulations=[1981	1987
1960	1982
1960	1986
1994	1989
1960	1987
1991	1988
1980	1983
1960	1988
1960	1985
1988	1985
1983	1985
1986	NaN
1960	1985
1988	1986
1989	1986
NaN 	1991
1987	1992
1990	1984
1988	1987
1975	1978
1960	1985
1984	1983
1987	1986
1993	1986
1986	1988
1990	1986
1990	1993
1985	1990
1960	1985
1987	1987
1977	1986
1991	1989
1976	1982
1960	1985
1987	1991
1979	1985
1988	1987
1985	1986
1982	1986
1960	1984
1960	1986
1960	1988
1985	1985
1988	1987
1981	1984
1970	1988
1978	1985
1985	1987
1987	1988
1990	1987
1988	1987
];

FullDeReg=max(Deregulations')';
IntraDeReg=Deregulations(:,1);IntraDeReg(IntraDeReg==1960)=XploreRange(1,2);
InterDeReg=Deregulations(:,2);


clear CumD CumIntraD CumInterD
TimeAxis=(XploreRange(1,2):XploreRange(2,2))';
for k=1:length(TimeAxis);
ind=find(FullDeReg==TimeAxis(k));
intra_ind=find(IntraDeReg==TimeAxis(k));
inter_ind=find(InterDeReg==TimeAxis(k));

if isempty(ind)==0
CumD(k,1)=size(ind,1);
else
CumD(k,1)=0;
end;


if isempty(intra_ind)==0
CumIntraD(k,1)=size(intra_ind,1);
else
CumIntraD(k,1)=0;
end;

if isempty(inter_ind)==0
CumInterD(k,1)=size(inter_ind,1);
else
CumInterD(k,1)=0;
end;

end;

CumD=cumsum(CumD);CumIntraD=cumsum(CumIntraD);CumInterD=cumsum(CumInterD);
CumDQ=kron(CumD,ones(4,1));CumIntraDQ=kron(CumIntraD,ones(4,1));CumInterDQ=kron(CumInterD,ones(4,1));

CumDQ=CumIntraDQ;

CumDQ=CumDQ/51;%normalize by number of states



PartRate=adjrange(PensionFundShareQ,EquityHoldings_SampleRange,XploreRange,4);


%Do LH-Regs with interaction terms
span_cpy=max(cpy)-min(cpy);
span_cay=max(cay)-min(cay);

TimeTrend=(1:size(CumDQ,1))'/size(CumDQ,1);;%TimeTrend=2*max(0,TimeTrend);

TimePolynomials=[TimeTrend.^0.5,TimeTrend,TimeTrend.^2,TimeTrend.^3];%TimeTrend.^3


% IA-LH Regs for cpy and Banking deregulation: banking deregulation clearly
% weakens predictive power.
LHCRSP_cpyCumDQ=LHreg(ExRetCRSP,[cpy,cpy.*CumDQ,CumDQ],hh)
LHSP_cpyCumDQ=LHreg(ExRetSP,[cpy,cpy.*CumDQ,CumDQ],hh)



LHCRSP_cpyCumDQvsTrend=LHreg(ExRetCRSP,[cpy,cpy.*CumDQ,cpy.*TimeTrend,CumDQ,TimeTrend],hh);
LHSP_cpyCumDQvsTrend=LHreg(ExRetSP,[cpy,cpy.*CumDQ,cpy.*TimeTrend,CumDQ,TimeTrend],hh)

LHCRSP_cpyPartRate=LHreg(ExRetCRSP,[cpy,cpy.*PartRate,PartRate],hh)
LHSP_cpyPartRate=LHreg(ExRetSP,[cpy,cpy.*PartRate,PartRate],hh)


LHSP_cpyCumDQ_PartRate=LHreg(ExRetSP,[cpy,cpy.*CumDQ,cpy.*PartRate,CumDQ,PartRate],hh);
LHSP_cpyCumDQ_PartRate_IA=LHreg(ExRetSP,[cpy,cpy.*CumDQ,cpy.*PartRate,cpy.*CumDQ.*PartRate,CumDQ.*PartRate,CumDQ,PartRate],hh);
LHCRSP_cpyCumDQ_PartRate=LHreg(ExRetCRSP,[cpy,cpy.*CumDQ,cpy.*PartRate,CumDQ,PartRate],hh)

LHSP_cpyPartRatevsTrend=LHreg(ExRetSP,[cpy,cpy.*PartRate,cpy.*TimeTrend,PartRate,TimeTrend],hh)


LHSP_cpyTrendOnly=LHreg(ExRetSP,[cpy,cpy.*TimeTrend,CumDQ],hh)


%... that's not the case for cay
LHCRSP_cayCumDQ=LHreg(ExRetCRSP,[cay,cay.*CumDQ,CumDQ],hh)
LHSP_cayCumDQ=LHreg(ExRetSP,[cay,cay.*CumDQ,CumDQ],hh)
LHSP_cayCumDQvsTrend=LHreg(ExRetSP,[cay,cay.*CumDQ,cay.*TimeTrend,CumDQ,TimeTrend],hh)


%Regressions of earnings and dividends on S&P 500

LHEarncpyCumDQ=LHreg(earnings-cpi,[cpy,cpy.*CumDQ,CumDQ],hh);
LHEdivSPcpyCumDQ=LHreg(dividends-cpi,[cpy,cpy.*CumDQ,CumDQ],hh);
LHDivInccpyCumDQ=LHreg(adjrange(dividendinc,SampleRange,XploreRange,4),[cpy,cpy.*CumDQ,CumDQ],hh);

%check with linear trend
LHEarncpyCumDQvsTrend=LHreg(earnings-cpi,[cpy,cpy.*CumDQ,cpy.*TimeTrend,CumDQ,TimeTrend],hh);
LHEdivSPcpyCumDQvsTrend=LHreg(dividends-cpi,[cpy,cpy.*CumDQ,cpy.*TimeTrend,CumDQ,TimeTrend],hh);
LHDivInccpyCumDQvsTrend=LHreg(adjrange(dividendinc,SampleRange,XploreRange,4),[cpy,cpy.*CumDQ,cpy.*TimeTrend,CumDQ,TimeTrend],hh);



%.. include ususal suspects

LHCRSP_cpyCumDQUsualSuspects=LHreg(ExRetCRSP,[cpy,cpy.*CumDQ,CumDQ,UsualSuspects],hh);
LHSP_cpyCumDQUsualSuspects=LHreg(ExRetSP,[cpy,cpy.*CumDQ,CumDQ,UsualSuspects],hh) 

LHCRSP_cpyPartRateUsualSuspects=LHreg(ExRetCRSP,[cpy,cpy.*PartRate,PartRate,UsualSuspects],hh);



LHCRSP_cpyCumDQcay=LHreg(ExRetCRSP,[cpy,cpy.*CumDQ,CumDQ,AuxReg.u],hh);
LHSP_cpyCumDQcay=LHreg(ExRetSP,[cpy,cpy.*CumDQ,CumDQ,AuxReg.u],hh) 


cayoncpyReg_CumDQ=newols(cay,[cpy,cpy.*CumDQ,CumDQ,ones(size(cpy,1),1)]);
cayoncpyReg_PartRate=newols(cay,[cpy,cpy.*PartRate,PartRate,ones(size(cpy,1),1)]);



cayoncpyReg_CumDQ_PartRate=newols(cay,[cpy,cpy.*CumDQ,cpy.*PartRate,PartRate,CumDQ,ones(size(cpy,1),1)]);
cayoncpyReg_CumDQ_PartRate_IA=newols(cay,[cpy,cpy.*CumDQ,cpy.*PartRate,cpy.*PartRate.*CumDQ,CumDQ.*PartRate,PartRate,CumDQ,ones(size(cpy,1),1)]);
cayoncpyReg_CumDQ_PartRate_IAvsTrend=newols(cay,[cpy,cpy.*CumDQ,cpy.*PartRate,cpy.*PartRate.*CumDQ,TimeTrend.*cpy,CumDQ.*PartRate,PartRate,CumDQ,TimeTrend,ones(size(cpy,1),1)]);
cayoncpyReg_CumDQ_PartRate_IAvsTimePoly=newols(cay,[cpy,cpy.*CumDQ,cpy.*PartRate,cpy.*PartRate.*CumDQ,[cpy*ones(1,size(TimePolynomials,2))].*TimePolynomials,CumDQ.*PartRate,PartRate,CumDQ,TimePolynomials,ones(size(cpy,1),1)]);



cayoncpyReg_CumDQ_PartRatevsTrend=newols(cay,[cpy,cpy.*CumDQ,cpy.*PartRate,cpy.*TimeTrend,PartRate,CumDQ,TimeTrend,ones(size(cpy,1),1)]);
cayoncpyReg_CumDQ_PartRatevsTimePoly=newols(cay,[cpy,cpy.*CumDQ,cpy.*PartRate,[cpy*ones(1,size(TimePolynomials,2))].*TimePolynomials,PartRate,CumDQ,TimePolynomials,ones(size(cpy,1),1)]);
cayoncpyReg_TimePolyOnly=newols(cay,[cpy,[cpy*ones(1,size(TimePolynomials,2))].*TimePolynomials,TimePolynomials,ones(size(cpy,1),1)]);


BaaAaaSpreadReg=newols(BaaAaaSpreadCycle,[cpy,cpy.*CumDQ,CumDQ,ones(size(cpy,1),1)]);
BaaAaaSpreadRegPartRate=newols(BaaAaaSpreadCycle,[cpy,cpy.*CumDQ,cpy.*PartRate,CumDQ,PartRate,ones(size(cpy,1),1)]);
BaaAaaSpreadRegPartRateOnly=newols(BaaAaaSpreadCycle,[cpy,cpy.*PartRate,PartRate,ones(size(cpy,1),1)]);
BaaAaaSpreadRegTrendOnly=newols(BaaAaaSpreadCycle,[cpy,cpy.*TimeTrend,TimeTrend,ones(size(cpy,1),1)]);

BaaAaaSpreadRegvsTrend=newols(BaaAaaSpreadCycle,[cpy,cpy.*CumDQ,cpy.*TimeTrend,CumDQ,TimeTrend,ones(size(cpy,1),1)]);
BaaAaaSpreadRegvsTimePoly=newols(BaaAaaSpreadCycle,[cpy,cpy.*CumDQ,[cpy*ones(1,size(TimePolynomials,2))].*TimePolynomials,CumDQ,TimePolynomials,ones(size(cpy,1),1)]);

BaaAaaSpreadRegPartRatevsTrend=newols(BaaAaaSpreadCycle,[cpy,cpy.*CumDQ,cpy.*PartRate,cpy.*TimeTrend,CumDQ,PartRate,TimeTrend,ones(size(cpy,1),1)]);
BaaAaaSpreadRegPartRatevsTimePoly=newols(BaaAaaSpreadCycle,[cpy,cpy.*CumDQ,cpy.*PartRate,[cpy*ones(1,size(TimePolynomials,2))].*TimePolynomials,CumDQ,PartRate,TimePolynomials,ones(size(cpy,1),1)]);



cayoncpyReg_CumDQvsTrend=newols(cay,[cpy,cpy.*CumDQ,cpy.*TimeTrend,CumDQ,TimeTrend,ones(size(cpy,1),1)]);
cayoncpyReg_PartRatevsTrend=newols(cay,[cpy,cpy.*PartRate,cpy.*TimeTrend,PartRate,TimeTrend,ones(size(cpy,1),1)]);



%how much of the predictive power of cay can cpy+BankingDereg explain?

LHCRSPcay_vs_fittedcpy=LHreg(ExRetCRSP,[cayoncpyReg_CumDQ.yhat,cayoncpyReg_CumDQ.u],hh);

LHCRSPres_alone=LHreg(ExRetCRSP,[cayoncpyReg_CumDQ.u],hh);
LHCRSPcayfittedcumDQ=LHreg(ExRetCRSP,[cayoncpyReg_CumDQ.yhat],hh);
 
 
%


%plot([cay,cpy,cayoncpyReg_CumDQ.yhat])

figure(8)
clf
plot((1952:2009)',CumIntraD(1:end-1),'LineWidth',2)
title('# of federal states that have deregulated bank branching restrictions')
figure(9)
clf
plot((1952:2009)',PensionFundShare(1:end-1),'LineWidth',2)
title('Share of public equity held by pension funds');

