%This script produces Figures 1-5 in the paper
%It first clears the workspace
% then does a fresh run on  on the whole sample
%and finally plots the results.



clear
global L T N MAL XData Trend


%% Set Model parameters

FixCIvector=1;%fixes CI vector to the one estimated from long sample (even in subsamples)
NonDurablesConsumption=1;%run mode based on non-durables consumption. If==0, the total cons is used.
AddDivIncomeToProprietors=0;%if 1, Div income is added to proprietors income
DivIncomeInCPY=1;%if 0, dividend income is not included in either p or y
ApportionDivIncome=1;%In this case, prop income is apportioned according to current part. rate to p and y


L=2 %Lags of level VAR (i.e. VECM with L-1 lagged diff term)

h=1 %# of CI relations imposed in Johansen procedure

hh=[1,2,4,8,12,16,24];

Updated_SampleRange=[1,1947;1,2011];
SampleRange=Updated_SampleRange;

 format='%-3.2f\t'

%% Set Exploration Range to full sample



XploreRange=[1,1952;4,2010];%Full sample range

cstr=cal(XploreRange(1,2),XploreRange(1,1),4);
%% Run it


 

pause off

LoadPensionFundEquityShare
CPYmain
LHBattery2


%% Now plot Figures

%figures 1
cstr=cal(XploreRange(1,2),XploreRange(1,1),4);


figure(1)
clf
for n=1:N;
    
    subplot(2,2,n)
    tsplot([Y(:,n),PY(:,n)+mean(TY(:,n))],cstr)
end;


%figure 2
figure(2)
clf
tsplot([cpy,cay],cstr);



%figure 3
BackGrdRskPlot


%figure4
figure(4)
clf
tsplot([cpy/std(cpy),BaaAaaSpreadCycle/std(BaaAaaSpreadCycle)],cstr);

%figure 5
figure(5)
clf
tsplot(rec_delta,cstr);
