%% Simulate CVs for Valkanov (JFE2003) statistics (t/sqrt(T)) in LH Regs
%% Maintained null is that respective variable has zero predictive power


%Table 5
CV_SPcpyonly=LH_tStat_CV([cpy],hh)
CV_SPcayonly=LH_tStat_CV([cay],hh)
CV_SP_cpycayonly=LH_tStat_CV([cpy,cay],hh)

%Table 6
CV_SPcpyonly
CV_CRSPcpyonly=LH_tStat_CV(LHCRSPcpyonly.X,hh)
CV_Earncpyonly=LH_tStat_CV(LHEarncpyonly.X,hh)
CV_divSPcpyonly=LH_tStat_CV(LHEdivSPcpyonly.X,hh)
CV_DivInccpyonly=LH_tStat_CV(LHDivInccpyonly.X,hh)

%Table 7
for n=1:length(AllSuspectLabels)
CV_SP2Stage_n{n}=LH_tStat_CV(LHSP2Stage_n{n}.X,hh)
end;
CV_SP2Stage=LH_tStat_CV(LHSP2Stage.X,hh);


CV_SP_cpyCumDQ=LH_tStat_CV(LHSP_cpyCumDQ.X,hh);
CV_SP_cpyCumDQ_PartRate=LH_tStat_CV(LHSP_cpyCumDQ_PartRate.X,hh);
CV_SP_cpyTrendOnly=LH_tStat_CV(LHSP_cpyTrendOnly.X,hh);
CV_SP_cpyCumDQvsTrend=LH_tStat_CV(LHSP_cpyCumDQvsTrend.X,hh);



%One View comparisons
disp('cpy');
abs(LHSPcpyonly.t_Valkanov)-abs(CV_SPcpyonly.t_Valkanov)>0
disp('cay');
abs(LHSPcayonly.t_Valkanov)-abs(CV_SPcayonly.t_Valkanov)>0
disp('cpy and cay')
abs(LHSPcpycayonly.t_Valkanov)-abs(CV_SP_cpycayonly.t_Valkanov)>0

disp('-------------------------');

disp('SP500')
abs(LHSPcpyonly.t_Valkanov)-abs(CV_SPcpyonly.t_Valkanov)>0
disp('CRSP')
abs(LHCRSPcpyonly.t_Valkanov)-abs(CV_CRSPcpyonly.t_Valkanov)>0
disp('Earnings');
abs(LHEarncpyonly.t_Valkanov)-abs(CV_Earncpyonly.t_Valkanov)>0
disp('Dividends on SP500');
abs(LHEdivSPcpyonly.t_Valkanov)-abs(CV_divSPcpyonly.t_Valkanov)>0
disp('Dividends in personal income');
abs(LHDivInccpyonly.t_Valkanov)-abs(CV_DivInccpyonly.t_Valkanov)>0

disp('-------------------------');

for n=1:length(AllSuspectLabels)
    disp(AllSuspectLabels{n})
    abs(LHSP2Stage_n{n}.t_Valkanov)-abs(CV_SP2Stage_n{n}.t_Valkanov)>0
end;
disp('last panel')
abs(LHSP2Stage.t_Valkanov)-abs(CV_SP2Stage.t_Valkanov)>0

disp('-------------------------');
disp('Table 9')
abs(LHSP_cpyCumDQ.t_Valkanov)-abs(CV_SP_cpyCumDQ.t_Valkanov)>0
abs(LHSP_cpyCumDQ_PartRate.t_Valkanov)-abs(CV_SP_cpyCumDQ_PartRate.t_Valkanov)>0
abs(LHSP_cpyTrendOnly.t_Valkanov)-abs(CV_SP_cpyTrendOnly.t_Valkanov)>0
abs(LHSP_cpyCumDQvsTrend.t_Valkanov)-abs(CV_SP_cpyCumDQvsTrend.t_Valkanov)>0





