function LH=LHreg(Y,X,horizons,Dummies);


LH.X=X;
LH.Y=Y;

hh=horizons;%row vector of horizons at which the LH reg is to be run. Example horizons=[1,2,4,8] or horizons=(1:24)
T=size(Y,1);%Number of observations in Y (and X -- otherwise error)

d1=Y(1:T,:)*ones(size(hh))-lag0(Y(1:T,:),hh);%diffference dependent variable at all horizons given by hh


if nargin==4 %treats dummies in 'Dummies' -- optional argument
    for l=1:size(Dummies,2);
diffDums{l}=Dummies(1:T,l)*ones(size(hh))-lag0(Dummies(1:T,l),hh);
end;
end;

for kk=1:size(hh,2);
    
if nargin<4;
    %This runs the LHreg (using nwest correction but plain OLS). Note that
    %we need to eliminate the first hh(kk) observations of the dependent
    %variable Y and the last hh(kk) of the explanatory variable X. Also
    %include a constant in the Reg
    NWReg=nwest(d1(hh(kk)+1:T,kk),[X(1:T-hh(kk),:),ones(T-hh(kk),1)],hh(kk)+1);%Note that residuals in NW-reg are autocorrelated of orderat least hh(kk)!!
else% again the special treatment fo dummies
    DD=[];
    for l=1:size(Dummies,2);
        DD=[DD,diffDums{l}(hh(kk)+1:T,kk)];
    end;
    AuxReg=nwest(d1(hh(kk)+1:T,kk),[ones(T-hh(kk),1),DD],hh(kk)+1);
    
    %plot([AuxReg.resid,X(1:T-hh(kk),:)-mean(X(1:T-hh(kk),:))])
    %drawnow
    %pause
    NWReg=nwest(AuxReg.resid,[X(1:T-hh(kk),:),ones(T-hh(kk),1)],hh(kk)+1);
end;

%store results for horizon hh(kk)
LH.b(:,kk)=NWReg.beta; 
LH.t(:,kk)=NWReg.tstat;
LH.t_Valkanov(:,kk)=NWReg.tstat./[ones(size(NWReg.tstat,1),1)*sqrt((T-hh(kk)))];
LH.R2(:,kk)=NWReg.rbar;%delivers adjusted R2!!!
end;
