%load ShillerData
%This loads dividend price and earnings ratios from Shiller's irrational
%exuberance data set.

%cd US-PropIncData
[IE_Table,Text]=xlsread('PropIncCPYDataUpdated','ShillerData');

%cd ..

IE_DataRange=[1,1871;06,2011];
IE_ExploreRange=[XploreRange(:,1)*3+[-2;0],XploreRange(:,2)];
%--> Default would be [10,1952;9,1998];%4th quarter 1952 to 3rd quarter 1998, expressed in monthly coordinates


IE_Table=adjrange(IE_Table,IE_DataRange,IE_ExploreRange,12);
Prices=IE_Table(:,2);
Dividends=IE_Table(:,3);
Earnings=IE_Table(:,4);
CPI=IE_Table(:,5);

%Data are still monthly. Make them quarterly....

Prices=AggLowFreq(Prices,12,4,3);
Dividends=AggLowFreq(Dividends,12,4,'sum');
Earnings=AggLowFreq(Earnings,12,4,'sum');
CPI=AggLowFreq(CPI,12,4,'mean');

prices=log(Prices);
dividends=log(Dividends);
earnings=log(Earnings);
cpi=log(CPI);

p_e=prices-earnings;
d_p=dividends-prices;
d_e=dividends-earnings;%payout ratio

ExRetSP=[0;diff(prices)]-[0;TBillQ(2:end,1)];
ExRetSP=cumsum(ExRetSP);








