function [AR,PI,D,alpha,epsilon,Omega,B,varB,rvecm]=RVECM(Data,XData,beta,const,dummy);
%function [AR,PI,D,alpha,epsilon,Omega,B,varB]=RVECM(Data,XData,beta);
%This function estimates a (Restricted) VECM with the cointegrating vectors 
%'beta' imposed. It's just simple OLS!
%B=[AR,alpha,D] and varB is the variance of B. This is useful for standard tests on B!
%copyright Mathias Hoffmann, October 1997. Revised March 1998.

global h T N L



switch nargin
 case{3}
 const=0;
 dummy=0;
 case {4}
 dummy=0;
end;

if const>0
z=[Data,ones(size(Data,1),1)]*beta;
end;

if dummy>0
XD=XData(:,1:dummy);
z=[Data,XD]*beta;
 if size(XData,2)>dummy
 XData=XData(:,dummy+1:size(XData,2));%deletes those columns of XData that are restricted to be in the CI-space!!
 end;
end;
 
if (dummy==0)&(const==0);
z=Data*beta;
end;


if ~isempty(XData);
XD=XData(1+L:T,:);
else
XD=[];
end;

L=L-1;
DiffData=diff(Data);
if L>0;
[X,y]=varsetup(DiffData);
else
X=[];
y=DiffData;
end;

Z=[X,z(1+L:T-1,:)-ones(T-1-L,1)*mean(z(1+L:T-1,:)),XD];

%[B,epsilon,Omega,varB]=OLS(y,Z);
rvecm=newols(y,Z);


B=rvecm.b;
Omega=rvecm.Omega;
varB=rvecm.var_b;
epsilon=rvecm.u;

[m,n]=size(B);
alpha=B(N*L+1:N*L+h,:)';
D=B(N*L+h+1:m,:)';
PI=alpha*beta';
AR=B(1:N*L,:)';
L=L+1;


