clear
global L T N MAL XData Trend


%% Set Model parameters

FixCIvector=1;%fixes CI vector to the one estimated from long sample (even in subsamples)
NonDurablesConsumption=1;%run mode based on non-durables consumption. If==0, the total cons is used.
AddDivIncomeToProprietors=0;%if 1, Div income is added to proprietors income
DivIncomeInCPY=1;%if 0, dividend income is not included in either p or y
ApportionDivIncome=1;%In this case, prop income is apportioned according to current part. rate to p and y


L=2 %Lags of level VAR (i.e. VECM with L-1 lagged diff term)

h=1 %# of CI relations imposed in Johansen procedure

hh=[1,2,4,8,12,16,24];%horizons at which Variance Decs and LH regs are computed
%% Set Exploration Range



XploreRange=[1,1952;4,2010];%Full sample range


%% Run it...

 

pause off

LoadPensionFundEquityShare

CPYmain



Table1_Part1=[TraceTest,TraceCV(:,2),MaxTest,MaxCV(:,2)];
Table2_Part1=[beta./beta(1),[1;-CointReg.b(1:N-1,1)]];

Table3_VECMCoeffs=VECM.b;
Table3_VECMtstats=VECM.tstat;


Table4=VDLevels(:,hh);


%% Run it again for total consumption ... (Tables 1&2)
NonDurablesConsumption=0

CPYmain
Table1_Part2=[TraceTest,TraceCV(:,1),MaxTest,MaxCV(:,1)];

Table2_Part2=[beta./beta(1),[1;-CointReg.b(1:N-1,1)]];


format='%-3.2f\t'

%%%%%%%%%%%%%%%%%%%%%%%%%%% display Table 1%%%%%%%%%%%%%%%%%%%%
disp('  ')
disp('      Table 1: Tests for cointegration                  ');
disp('--------------------------------------------------------')
disp('Panel I: non-durables consumption');
disp('  Trace Test  95% CV  MaxEV Test  95% CV');
disp(Table1_Part1)

disp('Panel II: total consumption');
disp('  Trace Test  90% CV  MaxEV Test   90% CV');
disp(Table1_Part2)
disp(' ')
disp('--------------------------------------------------------')
disp(' ');
%%%%%%%%%%%%%%%%%%%%%% display Table 2 %%%%%%%%%%%%%%%%%%%%%%%%
disp('  ')
disp('         Table 2: Estimated cointegrating vectors       ');
disp('--------------------------------------------------------')
disp('Non-durables consumption  Total Consumption')
disp('   Johansen    DOLS    Johansen    DOLS')
disp([Table2_Part1,Table2_Part2])
disp(' ');
disp('--------------------------------------------------------')
disp(' ')


%%%%%%%%%%%%%%%%%%% display Table 3 %%%%%%%%%%%%%%%%%%%%%%%%%
disp('  ')
disp('         Table 3: Estimated VECM      ');
disp('--------------------------------------------------------')
disp('                    \Delta c_{t}  \Delta p_{t}    \Delta y_{t}')
disp(' ')
disp(['\Delta c_{t-1)    ',num2str(Table3_VECMCoeffs(1,:),format)]);
disp(['                  ',num2str(Table3_VECMtstats(1,:),format)]);
disp(['\Delta p_{t-1}    ',num2str(Table3_VECMCoeffs(2,:),format)]);
disp(['                  ',num2str(Table3_VECMtstats(2,:),format)]);
disp(['\Delta y_{t-1}    ',num2str(Table3_VECMCoeffs(3,:),format)]);
disp(['                  ',num2str(Table3_VECMtstats(3,:),format)]);
disp([' cpy_{t-1}        ',num2str(Table3_VECMCoeffs(4,:),format)]);
disp(['                  ',num2str(Table3_VECMtstats(4,:),format)]);
disp(['  constant        ',num2str(Table3_VECMCoeffs(5,:),format)]);
disp(['                  ',num2str(Table3_VECMtstats(5,:),format)]);

disp(' ');
disp('--------------------------------------------------------')
disp(' ')

%%%%%%%%%%%%%%%%%%%% display Table 4 %%%%%%%%%%%%%%%%%%%%%%%
disp('  ')
disp('         Table 4: Variance decompositions      ');
disp('--------------------------------------------------------')
disp('        horizon in quarters ');
disp(num2str(hh,format))
disp(' ')
disp(num2str(Table4,format));
disp(' ');
disp('--------------------------------------------------------')
disp(' ')

