global L T N MAL XData Trend


%% Set Model parameters

FixCIvector=1;%fixes CI vector to the one estimated from long sample (even in subsamples)
NonDurablesConsumption=1;%run mode based on non-durables consumption. If==0, the total cons is used.
AddDivIncomeToProprietors=0;%if 1, Div income is added to proprietors income
DivIncomeInCPY=1;%if 0, dividend income is not included in either p or y
ApportionDivIncome=1;%In this case, prop income is apportioned according to current part. rate to p and y


L=2 %Lags of level VAR (i.e. VECM with L-1 lagged diff term)

h=1 %# of CI relations imposed in Johansen procedure


Updated_SampleRange=[1,1947;1,2011];
SampleRange=Updated_SampleRange;

 format='%-3.2f\t'

%% Set Exploration Range



XploreRange=[1,1952;4,2010];%Full sample range


%% Run it for first half of  sample... (1952-1980)

 
XploreRange=[1,1952;4,1980];
pause off

LoadPensionFundEquityShare
CPYmain
LHBattery2

Table5Panel1Line1=num2str([LHSPcpyonly.b(1,:);LHSPcpyonly.t(1,:);LHSPcpyonly.R2(1,:)],format);
Table5Panel1Line2=num2str([LHSPcayonly.b(1,:);LHSPcayonly.t(1,:);LHSPcayonly.R2(1,:)],format);
Table5Panel1Line3=num2str([LHSPcpycayonly.b(1,:);LHSPcpycayonly.t(1,:);
                           LHSPcpycayonly.b(2,:);LHSPcpycayonly.t(2,:);    
                           LHSPcpycayonly.R2(1,:)],format);
                       
Table6Panel1=num2str([LHSPcpyonly.b(1,:);LHSPcpyonly.t(1,:);LHSPcpyonly.R2(1,:)],format);
Table6Panel2=num2str([LHCRSPcpyonly.b(1,:);LHCRSPcpyonly.t(1,:);LHCRSPcpyonly.R2(1,:)],format);
Table6Panel3=num2str([LHEarncpyonly.b(1,:);LHEarncpyonly.t(1,:);LHEarncpyonly.R2(1,:)],format);
Table6Panel4=num2str([LHDcpyonly.b(1,:);LHDcpyonly.t(1,:);LHDcpyonly.R2(1,:)],format);
Table6Panel5=num2str([LHDivInccpyonly.b(1,:);LHDivInccpyonly.t(1,:);LHDivInccpyonly.R2(1,:)],format);

for n=1:length(AllSuspectLabels)
    
Table7Panel{n}.b=num2str([LHSP2Stage_n{n}.b],format);
Table7Panel{n}.t=num2str([LHSP2Stage_n{n}.t],format);
Table7Panel{n}.R2=num2str([LHSP2Stage_n{n}.R2(1,:)],format);
end;
Table7Panel5.b=num2str([LHSP2Stage.b],format);
Table7Panel5.t=num2str([LHSP2Stage.t],format);
Table7Panel5.R2=num2str([LHSP2Stage.R2],format);


    






%% Run it again for 1981:Q1-2010:Q4

 XploreRange=[1,1981;4,2010];
 LoadPensionFundEquityShare
 CPYmain
 LHBattery2
 
Table5Panel2Line1=num2str([LHSPcpyonly.b(1,:);LHSPcpyonly.t(1,:);LHSPcpyonly.R2(1,:)],format)
Table5Panel2Line2=num2str([LHSPcayonly.b(1,:);LHSPcayonly.t(1,:);LHSPcayonly.R2(1,:)],format)
Table5Panel2Line3=num2str([LHSPcpycayonly.b(1,:);LHSPcpycayonly.t(1,:);
                           LHSPcpycayonly.b(2,:);LHSPcpycayonly.t(2,:);    
                           LHSPcpycayonly.R2(1,:)],format);
 
 
 

 
 
% %%%%%%%%%%%%%%%%%%%%%%%%%%% display Table 5%%%%%%%%%%%%%%%%%%%%
 disp('  ')
 disp('      Table 5: cpy, cay and excess returns in subperiods                 ');
 disp('--------------------------------------------------------')
 disp('           Panel I: 1952:Q1-1980Q4     ');
 disp(['cpy ',Table5Panel1Line1(1,:)]);
 disp(['    ',Table5Panel1Line1(2,:)]);
 disp([' R2 ',Table5Panel1Line1(3,:)]);
 disp(' ');
 disp(['cay ',Table5Panel1Line2(1,:)]);
 disp(['    ',Table5Panel1Line2(2,:)]);
 disp([' R2 ',Table5Panel1Line2(3,:)]);
 disp(' ');
 disp(['cpy ',Table5Panel1Line3(1,:)]);
 disp(['    ',Table5Panel1Line3(2,:)]);
 disp(['cay ',Table5Panel1Line3(3,:)]);
 disp(['    ',Table5Panel1Line3(4,:)]);
 disp(['R2  ',Table5Panel1Line3(5,:)]);
 disp(' ')
 disp('   Panel II: 1981:Q1-2010:Q4 ');
 disp(['cpy ',Table5Panel2Line1(1,:)]);
 disp(['    ',Table5Panel2Line1(2,:)]);
 disp([' R2 ',Table5Panel2Line1(3,:)]);
 disp(' ');
 disp(['cay ',Table5Panel2Line2(1,:)]);
 disp(['    ',Table5Panel2Line2(2,:)]);
 disp([' R2 ',Table5Panel2Line2(3,:)]);
 disp(' ');
 disp(['cpy ',Table5Panel2Line3(1,:)]);
 disp(['    ',Table5Panel2Line3(2,:)]);
 disp(['cay ',Table5Panel2Line3(3,:)]);
 disp(['    ',Table5Panel2Line3(4,:)]);
 disp(['R2  ',Table5Panel2Line3(5,:)]);
 disp(' ')
 disp('--------------------------------------------------------');
% %%%%%%%%%%%%%%%%%%%%%%%%%%% display Table 6%%%%%%%%%%%%%%%%%%%%
 disp('  ')
 disp('      Table 6: LH regs on cpy 1952:Q1-1980Q4            ');
 disp('--------------------------------------------------------')
 disp(' Panel I: excess returns on S&P 500');
 disp(Table6Panel1)
 disp(' Panel II: excess returns on CRSP');
 disp(Table6Panel2)
 disp(' Panel III: Earnings on S&P 500');
 disp(Table6Panel3)
 disp(' Panel IV: Dividends on S&P 500');
 disp(Table6Panel4)
 disp(' Panel V: Personal Dvidend Income from BEA');
 disp(Table6Panel5);
 disp(' ');
  disp('--------------------------------------------------------');
% %%%%%%%%%%%%%%%%%%%%%%%%%%% display Table 7%%%%%%%%%%%%%%%%%%%%
 disp(' ')
 disp('Table 7: LH regs on cpy, cay and  usual suspects: 1952:Q1-1980Q4');        
 disp('--------------------------------------------------------');
 disp(['             ',num2str(hh,format)])
    
for n=1:length(AllSuspectLabels)
    
    disp(' ')
    disp(['cpy          ',Table7Panel{n}.b(1,:)]);
    disp(['             ',Table7Panel{n}.t(1,:)]);
    disp(['res          ',Table7Panel{n}.b(2,:)]);
    disp(['             ',Table7Panel{n}.t(2,:)]);
    disp([AllSuspectLabels{n},'          ',Table7Panel{n}.b(3,:)]);
    disp(['             ',Table7Panel{n}.t(3,:)]);
    disp([' R2          ',Table7Panel{n}.R2]);
end;
    disp(' All together: (cpy, res and all four suspects)');
for l=1:size(Table7Panel5.b,1)-1
    disp(['             ',Table7Panel5.b(l,:)]);
    disp(['             ',Table7Panel5.t(l,:)]);
end;
    disp([' R2          ',Table7Panel5.R2]);
    disp(' ')
    disp('--------------------------------------------------------');

 
