global L T N MAL XData Trend


%% Set Model parameters

FixCIvector=1;%fixes CI vector to the one estimated from long sample (even in subsamples)
NonDurablesConsumption=1;%run mode based on non-durables consumption. If==0, the total cons is used.
AddDivIncomeToProprietors=0;%if 1, Div income is added to proprietors income
DivIncomeInCPY=1;%if 0, dividend income is not included in either p or y
ApportionDivIncome=1;%In this case, prop income is apportioned according to current part. rate to p and y


L=2 %Lags of level VAR (i.e. VECM with L-1 lagged diff term)

h=1 %# of CI relations imposed in Johansen procedure


Updated_SampleRange=[1,1947;1,2011];
SampleRange=Updated_SampleRange;

 format='%-3.2f\t'

%% Set Exploration Range



XploreRange=[1,1952;4,2010];%Full sample range


%% Run it


 

pause off

LoadPensionFundEquityShare
CPYmain
LHBattery2

CumDereg_RnR



 % assemble Table 9
 
 Table9Panel1.b=num2str([LHSP_cpyCumDQ.b],format);
 Table9Panel1.t=num2str([LHSP_cpyCumDQ.t],format);
 Table9Panel1.R2=num2str([LHSP_cpyCumDQ.R2],format);
 
 
 
 Table9Panel2.b=num2str([LHSP_cpyCumDQ_PartRate.b],format);
 Table9Panel2.t=num2str([LHSP_cpyCumDQ_PartRate.t],format);
 Table9Panel2.R2=num2str([LHSP_cpyCumDQ_PartRate.R2],format);
 
 Table9Panel3.b=num2str([LHSP_cpyTrendOnly.b],format);
 Table9Panel3.t=num2str([LHSP_cpyTrendOnly.t],format);
 Table9Panel3.R2=num2str([LHSP_cpyTrendOnly.R2],format);
 
 Table9Panel4.b=num2str([LHSP_cpyCumDQvsTrend.b],format);
 Table9Panel4.t=num2str([LHSP_cpyCumDQvsTrend.t],format);
 Table9Panel4.R2=num2str([LHSP_cpyCumDQvsTrend.R2],format);
 
 
 % assemble Table 10
 
 Table10Column1.b=num2str(cayoncpyReg_CumDQ.b,format);
 Table10Column1.t=num2str(cayoncpyReg_CumDQ.tstat,format);
 Table10Column1.R2=num2str(cayoncpyReg_CumDQ.Rsquared,format);
 
 
 Table10Column2.b=num2str(cayoncpyReg_PartRate.b,format);
 Table10Column2.t=num2str(cayoncpyReg_PartRate.tstat,format);
 Table10Column2.R2=num2str(cayoncpyReg_PartRate.Rsquared,format);
 
 
 Table10Column3.b=num2str(cayoncpyReg_CumDQ_PartRate.b,format);
 Table10Column3.t=num2str(cayoncpyReg_CumDQ_PartRate.tstat,format);
 Table10Column3.R2=num2str(cayoncpyReg_CumDQ_PartRate.Rsquared,format);
 
 Table10Column4.b=num2str(cayoncpyReg_CumDQ_PartRatevsTrend.b,format);
 Table10Column4.t=num2str(cayoncpyReg_CumDQ_PartRatevsTrend.tstat,format);
 Table10Column4.R2=num2str(cayoncpyReg_CumDQ_PartRatevsTrend.Rsquared,format);
 
 
 Table10Column5.b=num2str(BaaAaaSpreadReg.b,format);
 Table10Column5.t=num2str(BaaAaaSpreadReg.tstat,format);
 Table10Column5.R2=num2str(BaaAaaSpreadReg.Rsquared,format);
 
 Table10Column6.b=num2str(BaaAaaSpreadRegPartRateOnly.b,format);
 Table10Column6.t=num2str(BaaAaaSpreadRegPartRateOnly.tstat,format);
 Table10Column6.R2=num2str(BaaAaaSpreadRegPartRateOnly.Rsquared,format);
 
 Table10Column7.b=num2str(BaaAaaSpreadRegvsTrend.b,format);
 Table10Column7.t=num2str(BaaAaaSpreadRegvsTrend.tstat,format);
 Table10Column7.R2=num2str(BaaAaaSpreadRegvsTrend.Rsquared,format);
 
 
 
 %% %%%%%%%%%%%%%%%%%%%%%%%%%%% display Table 9%%%%%%%%%%%%%%%%%%%%
disp('  ')
disp('      Table 9: Factors affecting link between cpy and expected returns  ');
disp('-------------------------------------------------------------------------')
  disp(['            ',num2str(hh,format)]);
  disp('           Panel I: Banking Deregulation    ');
  disp(['cpy         ',Table9Panel1.b(1,:)]);
  disp(['            ',Table9Panel1.t(1,:)]);
  disp(' ');
  disp(['BDxCPY      ',Table9Panel1.b(2,:)]);
  disp(['            ',Table9Panel1.t(2,:)]);
  disp(' ');
  disp([' R2         ',Table9Panel1.R2]);
  disp(' ');
  
  disp('           Panel II: Banking Deregulation & Participation   ');
  disp(' ');
  disp(['cpy         ',Table9Panel2.b(1,:)]);
  disp(['            ',Table9Panel2.t(1,:)]);
  disp(' ');
  disp(['BDxCPY      ',Table9Panel2.b(2,:)]);
  disp(['            ',Table9Panel2.t(2,:)]);
  disp(' ');
  disp(['PRxCPY      ',Table9Panel2.b(3,:)]);
  disp(['            ',Table9Panel2.t(3,:)]);
  disp(' ');
  disp([' R2         ',Table9Panel2.R2]);
  disp(' ');
  
  disp('           Panel III: cpy vs trend  ');
  disp(' ');
  disp(['cpy         ',Table9Panel3.b(1,:)]);
  disp(['            ',Table9Panel3.t(1,:)]);
  disp(' ');
  disp(['txCPY       ',Table9Panel3.b(2,:)]);
  disp(['            ',Table9Panel3.t(2,:)]);
  disp(' ');
  disp(' ');
  disp([' R2         ',Table9Panel3.R2]);
  disp(' ');
  
  disp('           Panel IV: Banking Deregulation & Participation  vs Trend ');
  disp(' ');
  disp(['cpy         ',Table9Panel4.b(1,:)]);
  disp(['            ',Table9Panel4.t(1,:)]);
  disp(' ');
  disp(['BDxCPY      ',Table9Panel4.b(2,:)]);
  disp(['            ',Table9Panel4.t(2,:)]);
  disp(' ');
  disp(['PRxCPY      ',Table9Panel4.b(3,:)]);
  disp(['            ',Table9Panel4.t(3,:)]);
  disp(' ');
  disp(['txCPY       ',Table9Panel4.b(4,:)]);
  disp(['            ',Table9Panel4.t(4,:)]);
  disp(' ');
  disp([' R2         ',Table9Panel4.R2]);
  disp(' ')
  disp('-------------------------------------------------------------------------')


% % %%%%%%%%%%%%%%%%%%%%%%%%%%% display Table 10%%%%%%%%%%%%%%%%%%%%
 disp('  ')
 disp('      Table 10: the chaning link of cpy with cay and the default spread            ');
 disp('----------------------------------------------------------------------------')
  
  disp('           Column 1: cay on cpy x BD   ');
  disp(['cpy         ',Table10Column1.b(1,:)]);
  disp(['            ',Table10Column1.t(1,:)]);
  disp(' ');
  disp(['BDxCPY      ',Table10Column1.b(2,:)]);
  disp(['            ',Table10Column1.t(2,:)]);
  disp(' ');
  disp([' R2         ',Table10Column1.R2]);
  disp(' ');
   
 disp('           Column 2: cay on cpy x PR   ');
  disp(['cpy         ',Table10Column2.b(1,:)]);
  disp(['            ',Table10Column2.t(1,:)]);
  disp(' ');
  disp(['PRxCPY      ',Table10Column2.b(2,:)]);
  disp(['            ',Table10Column2.t(2,:)]);
  disp(' ');
  disp([' R2         ',Table10Column2.R2]);
  disp(' ');
   
  disp('           Column 3: cay on cpyxBD and cpyxPR   ');
  disp(['cpy         ',Table10Column3.b(1,:)]);
  disp(['            ',Table10Column3.t(1,:)]);
  disp(' ');
  disp(['BDxCPY      ',Table10Column3.b(2,:)]);
  disp(['            ',Table10Column3.t(2,:)]);
  disp(' ');
  disp(['PRxCPY      ',Table10Column3.b(3,:)]);
  disp(['            ',Table10Column3.t(3,:)]);
  disp(' ');
  disp([' R2         ',Table10Column3.R2]);
  disp(' ');
  
  
  disp('           Column 4: cay on cpyxBD, cpyxPR and trend  ');
  disp(['cpy         ',Table10Column4.b(1,:)]);
  disp(['            ',Table10Column4.t(1,:)]);
  disp(' ');
  disp(['BDxCPY      ',Table10Column4.b(2,:)]);
  disp(['            ',Table10Column4.t(2,:)]);
  disp(' ');
  disp(['PRxCPY      ',Table10Column4.b(3,:)]);
  disp(['            ',Table10Column4.t(3,:)]);
  disp(' ');
  disp(['txCPY      ',Table10Column4.b(4,:)]);
  disp(['            ',Table10Column4.t(4,:)]);
  disp(' ');
  disp([' R2         ',Table10Column4.R2]);
  disp(' ');
  
  disp(' ');
  disp(' ');
  
  disp('           Column 5: spread on cpy x BD   ');
  disp(['cpy         ',Table10Column5.b(1,:)]);
  disp(['            ',Table10Column5.t(1,:)]);
  disp(' ');
  disp(['BDxCPY      ',Table10Column5.b(2,:)]);
  disp(['            ',Table10Column5.t(2,:)]);
  disp(' ');
  disp([' R2         ',Table10Column5.R2]);
  disp(' ');
  
  disp('           Column 6: spread on cpy x PR   ');
  disp(['cpy         ',Table10Column6.b(1,:)]);
  disp(['            ',Table10Column6.t(1,:)]);
  disp(' ');
  disp(['PRxCPY      ',Table10Column6.b(2,:)]);
  disp(['            ',Table10Column6.t(2,:)]);
  disp(' ');
  disp([' R2         ',Table10Column6.R2]);
  
  disp('           Column 7: spread on cpyxBD vs trend  ');
  disp(['cpy         ',Table10Column7.b(1,:)]);
  disp(['            ',Table10Column7.t(1,:)]);
  disp(' ');
  disp(['BDxCPY      ',Table10Column7.b(2,:)]);
  disp(['            ',Table10Column7.t(2,:)]);
  disp(' ');
  disp(['txCPY      ',Table10Column7.b(3,:)]);
  disp(['            ',Table10Column7.t(3,:)]);
  disp(' ');
  disp([' R2         ',Table10Column7.R2]);
  disp(' ');
  
  
  

 disp(' ')
 disp('--------------------------------------------------------');

 
