function [A]=VECM2VAR(AR,PI);
%[B]=VECM2VAR(AR,PI);
%gives the Autoregressive form of the VECM



n=min(size(PI)');
N=n;

%disp('Lag length of Level VAR:');
if ~isempty(AR);
    ln=max(size(AR)');   
    L=(ln/N)+1;
else
L=1;
end;


A=zeros(N,N*L);
rho=PI+eye(N);
if L>1;
for i=1:L-1;
A(:,(i-1)*N+1:i*N)=rho+AR(:,(i-1)*N+1:i*N);
end;
A(:,(L-1)*N+1:L*N)=rho;
%B=[A(:,1:N),zeros(N,(L-2)*N)];
for i=L-1:-1:1;
A(:,i*N+1:(i+1)*N)=A(:,i*N+1:(i+1)*N)-A(:,(i-1)*N+1:i*N);
end;
else
A=rho;
end;


