function [GEV,Lambda]=geigvec(A,B,r);
%[GEV,Lambda]=geigvec(A,B,r);
%solves the generalized Eigensystem-Problem A*X=B*X*Lambda
%and gives back the r largest eigenvalues Lambda
%and the accordingly ordered Eigenvectors GEV

A=inv(B)*A;
[EigVec,EigVal]=eig(A);
EigVal=diag(EigVal);


[m,n]=size(B);

%sorts in ascending order...
[EigVal,I]=sort(EigVal);

%sorts in descending order...
hm=zeros(n,n);
for i=0:n-1;
hm(n-i,i+1)=1;
end;
I=hm*I;
EigVal=hm*EigVal;


[m,n]=size(B);

for i=1:m;
%sort vectors...
GEV(:,i)=EigVec(:,I(i,1));
%normalize vectors such that X'*B*X=I;
GEV(:,i)=GEV(:,i)./sqrt(GEV(:,i)'*B*GEV(:,i));
Lambda(i,1)=EigVal(i,1);
end;

%pick the r largest...
GEV=GEV(:,1:r);
Lambda=Lambda(1:r,1);
%GEV=real(GEV);
%Lambda=real(Lambda);


