function Reg=newols(y,X,varargin)
%function [beta,u,Omega,var_beta,ttest,Rsquared]=OLS(y,X);

if nargin>2 
    HC=varargin{1};
else
    HC='none';
end;

[T,K]=size(X);

%P=inv(X'*X)*X';
z=X'*y;
P=X'*X;
beta=P\z;
%beta=inv(P)*z;%numerically the bad way of doing it....
u=y-X*beta;
%now get the variance of the residuals:

Omega=[u'*u]./(T-K);



%and the variance of the OLS-estimator, var(vec(beta));

XXI=inv(X'*X);
var_beta=kron(Omega,XXI);


switch HC
    case 'HC0'
    if size(y,2)==1;  
     Omega=[diag(u.*u)];
     var_beta=XXI*X'*Omega*X*XXI;
    else
     disp(' White (HC0) correction not implemented for systems of equations. Homoskedastic Standard Errors Only will be provided instead');    
     HC='none';
    end;
    case 'HC3' %implments the MacKinnon-White jackknife estimator of the 
    if size(y,2)==1;
        for t=1:T;
            drop_ind=[(1:t-1),(t+1:T)]';
  
            if t==1; dropind=(2:T)'; end;
            if t==T; dripind=(1:T-1)';end;
            X_drop=X(drop_ind,:);y_drop=y(drop_ind,:);
            z_drop=X_drop'*y_drop;
            P_drop=X_drop'*X_drop;
            b_drop(:,t)=P_drop\z_drop;
        end;
        b_drop=b_drop-mean(b_drop,2)*ones(1,T);
        var_beta=b_drop*b_drop';
    else
     disp(' White (HC3) correction not implemented for systems of equations. Homoskedastic Standard Errors Only will be provided instead');    
     HC='none';
    end;
    otherwise
      HC='none';
end;    
  
    

betadiag=zeros(size(beta));
betadiag(:)=sqrt(diag(var_beta));

ttest=beta./betadiag;



%xm=X-ones(T,1)*mean(X);
ym=y-ones(T,1)*mean(y);
for l=1:size(y,2);
%Rsquared(l,1)=[(xm*beta(:,l))'*xm*beta(:,l)]/[ym(:,l)'*ym(:,l)];
Rsquared(l,1)=1-[u(:,l)'*u(:,l)]/[ym(:,l)'*ym(:,l)];
R2bar(l,1)=1-[(T-1)*u(:,l)'*u(:,l)]/[(T-K)*ym(:,l)'*ym(:,l)];
end;



Reg.b=beta;
Reg.u=u;
Reg.Omega=Omega;
Reg.tstat=ttest;
Reg.Rsquared=Rsquared;
Reg.R2bar=R2bar;
Reg.var_b=var_beta;
Reg.yhat=y-u;

Reg.HetCorr=HC;
    
    
    